Probleme creating a face with holes

Hello,
I want to create a face from an external wire and several interior wires defining holes.
My problem is some interior wires are not considered as holes.
here is the code:

aFace = new BRepBuilderAPI_MakeFace(extWire);
aFace->Add(intWire1);
aFace->Add(intWire2);
...

I think I have a problem with the orientation of the wire.
Someone can explain me what orientation should I use.
I have read a previous message saying that interior wires must have have opposite orientation. What it means? Opposite orientation with the external wire?

Thanks in advance.
elisa

m-aronsson's picture

It means that a wire for a hole most have the opposite direction, all wires has a starting point and an ending point, if you reverese those you get a hole instead (clockwise vs counter clockwise if you prefer).

Mikael

elisa's picture

Thank you for you answer.
When you said that a hole must have the opposite direction, is it regarding to the exterior wire?

In fact if I explain more my problem, I have a shape which is a box with holes inside.
In this box, I have to modify 2 parallel faces.
The result is that in one of these faces I have the holes and in the other parallel face i have the interior wires but not defined as holes.

Have I to check if the interior wire is in opposite direction with the exterior wire (ie if extWire == TopAbs_FORWARD then intWire == TopAbs _REVERSED and if extWire == TopAbs _REVERSED then intWire == TopAbs_FORWARD)?

A last question, has the face's orientation an impact on the wire's orientation?

Thanks
Elisa